//! # Create conversation result
//!
//! @author Pierre Hubert

use serde::{Serialize};

#[derive(Serialize)]
#[allow(non_snake_case)]
pub struct ResCreateConversation {
    conversationID: u64,
    success: String,
}

impl ResCreateConversation {
    /// Construct a new Result instance
    pub fn new(conv_id: u64) -> ResCreateConversation {
        ResCreateConversation {
            conversationID: conv_id,
            success: "The conversation was successfully created!".to_string(),
        }
    }
}